Index: Models/code_capcyl.py
===================================================================
--- Models/code_capcyl.py	(revision 473183c753f3b44a54aab3a16e00e358edf72be6)
+++ Models/code_capcyl.py	(revision ca6c007657eda53e1961f1c89b6cff0712a587bd)
@@ -7,5 +7,5 @@
 
 from weights import GaussianDispersion
-from Models.sasmodel import card
+from sasmodel import card
 
 
@@ -34,5 +34,5 @@
         #create context, queue, and build program
         ctx,_queue = card()
-        trala = open('NR_BessJ1.cpp').read()+"\n"+open('Capcyl_Kfun.cpp').read()+"\n"+open('Kernel-CapCyl.cpp').read()
+        trala = open('Kernel/NR_BessJ1.cpp').read()+"\n"+open('Kernel/Capcyl_Kfun.cpp').read()+"\n"+open('Kernel/Kernel-CapCyl.cpp').read()
         src, qx, qy = set_precision(trala, qx, qy, dtype=dtype)
         self.prg = cl.Program(ctx, src).build()
Index: Models/code_coreshellcyl.py
===================================================================
--- Models/code_coreshellcyl.py	(revision 473183c753f3b44a54aab3a16e00e358edf72be6)
+++ Models/code_coreshellcyl.py	(revision ca6c007657eda53e1961f1c89b6cff0712a587bd)
@@ -6,5 +6,5 @@
 
 from weights import GaussianDispersion
-from Models.sasmodel import card
+from sasmodel import card
 
 
@@ -31,5 +31,5 @@
         #create context, queue, and build program
         ctx,_queue = card()
-        src, qx, qy = set_precision(open('NR_BessJ1.cpp').read()+"\n"+open('Kernel-CoreShellCylinder.cpp').read(), qx, qy, dtype=dtype)
+        src, qx, qy = set_precision(open('Kernel/NR_BessJ1.cpp').read()+"\n"+open('Kernel/Kernel-CoreShellCylinder.cpp').read(), qx, qy, dtype=dtype)
         self.prg = cl.Program(ctx, src).build()
         self.qx, self.qy = qx, qy
Index: Models/code_cylinder.py
===================================================================
--- Models/code_cylinder.py	(revision 473183c753f3b44a54aab3a16e00e358edf72be6)
+++ Models/code_cylinder.py	(revision ca6c007657eda53e1961f1c89b6cff0712a587bd)
@@ -6,5 +6,5 @@
 
 from weights import GaussianDispersion
-from Models.sasmodel import card
+from sasmodel import card
 
 
@@ -47,5 +47,5 @@
         #create context, queue, and build program
         ctx,_queue = card()
-        src, qx, qy = set_precision(open('NR_BessJ1.cpp').read()+"\n"+open('Kernel-Cylinder.cpp').read(), qx, qy, dtype=dtype)
+        src, qx, qy = set_precision(open('Kernel/NR_BessJ1.cpp').read()+"\n"+open('Kernel/Kernel-Cylinder.cpp').read(), qx, qy, dtype=dtype)
         self.prg = cl.Program(ctx, src).build()
         self.qx, self.qy = qx, qy
@@ -111,5 +111,5 @@
         #create context, queue, and build program
         ctx,_queue = card()
-        trala = open('NR_BessJ1.cpp').read()+"\n"+open('OneDCyl_Kfun.cpp').read()+"\n"+open('Kernel-OneDCylinder.cpp').read()
+        trala = open('Kernel/NR_BessJ1.cpp').read()+"\n"+open('Kernel/OneDCyl_Kfun.cpp').read()+"\n"+open('Kernel/Kernel-OneDCylinder.cpp').read()
         src, self.q = set_precision_1d(trala, q, dtype=dtype)
         self.prg = cl.Program(ctx, src).build()
Index: Models/code_ellipse.py
===================================================================
--- Models/code_ellipse.py	(revision 473183c753f3b44a54aab3a16e00e358edf72be6)
+++ Models/code_ellipse.py	(revision ca6c007657eda53e1961f1c89b6cff0712a587bd)
@@ -6,5 +6,5 @@
 
 from weights import GaussianDispersion
-from Models.sasmodel import card
+from sasmodel import card
 
 
@@ -32,5 +32,5 @@
 
         ctx,_queue = card()
-        src, qx, qy = set_precision(open('Kernel-Ellipse.cpp').read(), qx, qy, dtype=dtype)
+        src, qx, qy = set_precision(open('Kernel/Kernel-Ellipse.cpp').read(), qx, qy, dtype=dtype)
         self.prg = cl.Program(ctx, src).build()
         self.qx, self.qy = qx, qy
Index: Models/code_lamellar.py
===================================================================
--- Models/code_lamellar.py	(revision 473183c753f3b44a54aab3a16e00e358edf72be6)
+++ Models/code_lamellar.py	(revision ca6c007657eda53e1961f1c89b6cff0712a587bd)
@@ -4,5 +4,5 @@
 import numpy as np
 import pyopencl as cl
-from weights import GaussianDispersion
+from Models.weights import GaussianDispersion
 
 def set_precision(src, qx, qy, dtype):
@@ -31,5 +31,5 @@
         self.ctx = cl.create_some_context()
         self.queue = cl.CommandQueue(self.ctx)
-        src,qx,qy = set_precision(open('Kernel-Lamellar.cpp').read(), qx, qy, dtype=dtype)
+        src,qx,qy = set_precision(open('Kernel/Kernel-Lamellar.cpp').read(), qx, qy, dtype=dtype)
         self.prg = cl.Program(self.ctx, src).build()
         self.qx, self.qy = qx, qy
Index: Models/code_triaxialellipse.py
===================================================================
--- Models/code_triaxialellipse.py	(revision 473183c753f3b44a54aab3a16e00e358edf72be6)
+++ Models/code_triaxialellipse.py	(revision ca6c007657eda53e1961f1c89b6cff0712a587bd)
@@ -6,5 +6,5 @@
 
 from weights import GaussianDispersion
-from Models.sasmodel import card
+from sasmodel import card
 
 
@@ -31,5 +31,5 @@
     def __init__(self, qx, qy, dtype='float32'):
         ctx,_queue = card()
-        src, qx, qy = set_precision(open('Kernel-TriaxialEllipse.cpp').read(), qx, qy, dtype=dtype)
+        src, qx, qy = set_precision(open('Kernel/Kernel-TriaxialEllipse.cpp').read(), qx, qy, dtype=dtype)
         self.prg = cl.Program(ctx, src).build()
         self.qx, self.qy = qx, qy
Index: fit.py
===================================================================
--- fit.py	(revision d772f5d5cfc1cb59c225465b709386ac13da531b)
+++ fit.py	(revision ca6c007657eda53e1961f1c89b6cff0712a587bd)
@@ -3,17 +3,15 @@
 
 from bumps.names import *
-from code_cylinder import GpuCylinder, OneDGpuCylinder
-from code_lamellar import GpuLamellar
-from code_ellipse import GpuEllipse
-from code_coreshellcyl import GpuCoreShellCylinder
-from code_capcyl import GpuCapCylinder
-from code_triaxialellipse import GpuTriEllipse
-from sasmodel import SasModel, load_data, set_beam_stop, set_half
-import numpy as np
+from sasmodel import SasModel, load_data, set_beam_stop
+from Models.code_capcyl import GpuCapCylinder
+from Models.code_coreshellcyl import GpuCoreShellCylinder
+from Models.code_cylinder import GpuCylinder, OneDGpuCylinder
+from Models.code_ellipse import GpuEllipse
+from Models.code_lamellar import GpuLamellar
+from Models.code_triaxialellipse import GpuTriEllipse
 
 """ IMPORT THE DATA USED """
-
-data = load_data('December/Tangential/Sector0/DEC07133.ABS')
-#data = load_data('December/DEC07133.DAT')
+#data = load_data('December/Tangential/Sector0/DEC07133.ABS')
+data = load_data('December/DEC07235.DAT')
 
 """ SET INNER BEAM STOP, OUTER RING, AND MASK HALF OF THE DATA """
@@ -21,5 +19,5 @@
 #set_half(data, 'left')
 
-
+"""
 
 model = SasModel(data, OneDGpuCylinder,
@@ -33,7 +31,7 @@
 bolim=0.0,
 uplim=90) #bottom limit, upper limit of angle integral
+"""
 
 
-"""
 model = SasModel(data, GpuEllipse,
 scale=0.0011,
@@ -55,7 +53,7 @@
 #model.background.range(0,1000)
 model.scale.range(0, 1)
+
 """
 
-"""
 model = SasModel(data, GpuLamellar,
 scale=0.70,
@@ -120,13 +118,21 @@
 """
 
+
 """
+model = SasModel(data, GpuCapCylinder,
+                 scale=1, rad_cyl=20, rad_cap=40, length=400,
+                 sld_capcyl=1e-6, sld_solv=6.3e-6,
+                 background=0, theta=0, phi=0,
+                 rad_cyl_pd=.1, rad_cyl_pd_n=1, rad_cyl_pd_nsigma=0,
+                 rad_cap_pd=.1, rad_cap_pd_n=1, rad_cap_pd_nsigma=0,
+                 length_pd=.1, length_pd_n=1, length_pd_nsigma=0,
+                 theta_pd=.1, theta_pd_n=1, theta_pd_nsigma=0,
+                 phi_pd=.1, phi_pd_n=1, phi_pd_nsigma=0,
+                 dtype='float')
 
-model = SasModel(data, GpuCapCylinder, scale=1, rad_cyl=20, rad_cap=40, length=400, sld_capcyl=1e-6, sld_solv=6.3e-6,
-                 background=0, theta=0, phi=0, rad_cyl_pd=.1, rad_cyl_pd_n=10, rad_cyl_nsigma=3, rad_cap_pd=.1, rad_cap_pd_n=1,
-                 rad_cap_pd_nsigma=3, length_pd=.1, length_pd_n=10, length_pd_nsigma=3, theta_pd=.1, theta_pd_n=4,
-                 theta_pd_nsigma=3, phi_pd=.1, phi_pd_n=4, phi_pd_nsigma=3, dtype='float')
+model.scale.range(0, 1)
+
 """
 """
-
 model = SasModel(data, GpuTriEllipse,
                  scale=0.0036, axisA=118, axisB=70, axisC=800,
@@ -150,6 +156,6 @@
 #model.psi_pd.range(0, 360)
 
+"""
 
-"""
 
 problem = FitProblem(model)
